tags
10 endpoints
get /bugs/{id}/tags
List a bug's tags
Requires authentication
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | yes | Bug id |
Responses
- 200 OK · domain.Tag[]
- 400 Bad Request · apimodel.ErrorEnvelope
post /bugs/{id}/tags/{tagId}
Add a tag to a bug
Requires authentication
Idempotent: 204 also when the task already has the tag. A task of any type is accepted. 403 when the task is not in the tag's project (another project, another org or no such task), 404 when the tag does not exist.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | yes | Bug id |
| tagId | path | integer | yes | Tag id |
Responses
- 204 attached
- 400 Bad Request · apimodel.ErrorEnvelope
- 403 Forbidden · apimodel.ErrorEnvelope
- 404 Not Found · apimodel.ErrorEnvelope
delete /bugs/{id}/tags/{tagId}
Remove a tag from a bug
Requires authentication
Idempotent: 204 also when the task did not have the tag. A task of any type is accepted. 403 when the task is not in the tag's project (another project, another org or no such task), 404 when the tag does not exist.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | yes | Bug id |
| tagId | path | integer | yes | Tag id |
Responses
- 204 detached
- 400 Bad Request · apimodel.ErrorEnvelope
- 403 Forbidden · apimodel.ErrorEnvelope
- 404 Not Found · apimodel.ErrorEnvelope
get /features/{id}/tags
List a feature's tags
Requires authentication
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | yes | Feature id |
Responses
- 200 OK · domain.Tag[]
- 400 Bad Request · apimodel.ErrorEnvelope
post /features/{id}/tags/{tagId}
Add a tag to a feature
Requires authentication
Idempotent: 204 also when the task already has the tag. A task of any type is accepted. 403 when the task is not in the tag's project (another project, another org or no such task), 404 when the tag does not exist.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | yes | Feature id |
| tagId | path | integer | yes | Tag id |
Responses
- 204 attached
- 400 Bad Request · apimodel.ErrorEnvelope
- 403 Forbidden · apimodel.ErrorEnvelope
- 404 Not Found · apimodel.ErrorEnvelope
delete /features/{id}/tags/{tagId}
Remove a tag from a feature
Requires authentication
Idempotent: 204 also when the task did not have the tag. A task of any type is accepted. 403 when the task is not in the tag's project (another project, another org or no such task), 404 when the tag does not exist.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | yes | Feature id |
| tagId | path | integer | yes | Tag id |
Responses
- 204 detached
- 400 Bad Request · apimodel.ErrorEnvelope
- 403 Forbidden · apimodel.ErrorEnvelope
- 404 Not Found · apimodel.ErrorEnvelope
get /projects/{projectId}/tags
List a project's tags
Requires authentication
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| projectId | path | integer | yes | Project id |
Responses
- 200 OK · domain.Tag[]
- 400 Bad Request · apimodel.ErrorEnvelope
post /tags
Create a tag
Requires authentication
Request body: dto.CreateTagRequest
| Name | Type | Required | Description |
|---|---|---|---|
| color | string | yes | Hex color format #RRGGBB |
| name | string | yes | |
| projectId | integer | yes |
Responses
- 201 Created · domain.Tag
- 400 Bad Request · apimodel.ErrorEnvelope
- 409 A tag with this name already exists in the project · apimodel.ErrorEnvelope
patch /tags/{id}
Update a tag
Requires authentication
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | yes | Tag id |
Request body: dto.UpdateTagRequest
| Name | Type | Required | Description |
|---|---|---|---|
| color | string | no | Hex color format #RRGGBB |
| name | string | no |
Responses
- 200 OK · domain.Tag
- 400 Bad Request · apimodel.ErrorEnvelope
- 409 A tag with this name already exists in the project · apimodel.ErrorEnvelope
delete /tags/{id}
Delete a tag
Requires authentication
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | yes | Tag id |
Responses
- 204 deleted
- 400 Bad Request · apimodel.ErrorEnvelope